Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUProgressBarAttrBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlAttrsBinding
oracle.jbo.uicli.jui.JUProgressBarAttrBinding`

All Implemented Interfaces:
  oracle.adf.model.AttributeBinding, AttributeBinding, javax.swing.BoundedRangeModel, javax.swing.event.ChangeListener, ControlBinding, oracle.adf.model.ControlBinding, java.util.EventListener, JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, StructureDef

public class JUProgressBarAttrBinding
extends JUCtrlAttrsBinding
implements javax.swing.BoundedRangeModel, javax.swing.event.ChangeListener

Implements binding a JProgressBar control with a BC4J attribute.

This binding sets the minimum, maximum, and extent values of the ProgressBar and on change of currency in the associated rowset, displays the associated value by adjusting the ProgressBar between the minimum and maximum values. Note that the minimum and maximum values should be provided such that all possible values of the associated attribute in a RowSet can be displayed in the ProgressBar.

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Constructor Summary
`JUProgressBarAttrBinding(javax.swing.JProgressBar control, JUIteratorBinding iterBinding, java.lang.String attrName, int min, int max)` Binds the given ProgressBar control to display and update values from the given attribute in a BC4J RowSet.

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener x)`
`void` | `addControlToPanel(java.lang.Object panel, java.lang.Object layoutObject, java.lang.Object layoutCons)` *** For internal framework use only ***
`static javax.swing.BoundedRangeModel` | `createAttributeBinding(JUPanelBinding formBinding, javax.swing.JProgressBar control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName, int min, int max)` Creates a binding for the JProgressBar control.
`java.lang.Object` | `getControlModel(java.lang.Object control)` Gets the associated View's model object.
`int` | `getExtent()`
`static javax.swing.BoundedRangeModel` | `getInstance(JUPanelBinding formBinding, javax.swing.JProgressBar control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName, int min, int max)` Deprecated. since 9.0.2 use createAttributeBinding method instead.
`int` | `getMaximum()`
`int` | `getMinimum()`
`protected javax.swing.BoundedRangeModel` | `getModelImpl(javax.swing.JProgressBar sb)` Registers the BoundedRangeModel that this binding works with.
`int` | `getValue()`
`java.lang.Object` | `getValueAt(int attrIndex)` Returns the current value indicated by the ProgressBar control.
`boolean` | `getValueIsAdjusting()`
`protected boolean` | `isControlQueriable()` Returns true, so that ProgressBar can participate in a query in the Find Mode of the containing panel.
`void` | `removeChangeListener(javax.swing.event.ChangeListener x)`
`void` | `setDataValueAt(java.lang.Object value, int attrIndex)` Use this method to update the ProgressBar value, as well as the value in the associated BC4J attribute.
`void` | `setExtent(int newExtent)`
`void` | `setMaximum(int newMaximum)`
`void` | `setMinimum(int newMinimum)`
`void` | `setRangeProperties(int value, int extent, int min, int max, boolean adjusting)`
`void` | `setValue(int newValue)`
`void` | `setValueAt(java.lang.Object value, int attrIndex)` Sets the current value in the JProgressBar control.
`void` | `setValueIsAdjusting(boolean b)`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)` Sets the BC4J attribute value as per the change in the JProgressBar current value.

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlAttrsBinding
`createAttributeBinding, refreshControl, setControlEnabled, toString, updateNavigated, updateRangeScrolled, updateValuesFromRow, updateValuesFromRows`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputErrorsForRowKey, getInputValue, getInputValue, getInputValueHandler, getInputValueInRow, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalGet, internalGetRow, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, isUpdateable, lookupAttributeDef, processInputException, processNewInputValue, put, release, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValue, setInputValueHandler, setInputValueInRow, setNullValueString, stopEditing, updateRowDeleted, updateRowInserted, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, needsEstimatedRowCount, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setControl, setListener, setListener, setName`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.AttributeBinding
`getErrors, getInputValue, getLabel, isUpdateable, processNewInputValue, setInputValue, validateInputValue`

Methods inherited from interface oracle.adf.model.ControlBinding
`release, setListener`

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, resolvePath, setListener`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Constructor Detail

### JUProgressBarAttrBinding

    public JUProgressBarAttrBinding(javax.swing.JProgressBar control,
                                    JUIteratorBinding iterBinding,
                                    java.lang.String attrName,
                                    int min,
                                    int max)

  Binds the given ProgressBar control to display and update values from the given attribute in a BC4J RowSet.
Parameters:
  `control` - JProgressBar control to bind a BC4J attribute with.
  `iterBinding` - Iterator binding that provides the RowSet with which this binding should work.
  `attrName` - The attribute name in the RowSet with which this binding works.
  `min` - Minimum value that the JSlider displays (what the starting value should be in the JProgressBar control.
  `max` - Maximum value that the JProgressBar displays (what the end value should be in the control).

Method Detail

### getModelImpl

    protected javax.swing.BoundedRangeModel getModelImpl(javax.swing.JProgressBar sb)

  Registers the BoundedRangeModel that this binding works with. If the progress bar has a model, this method registers it with this binding and returns the model. If the control or model is null, then this method creates a DefaultBoundedRangeModel and returns it.

### addControlToPanel

    public void addControlToPanel(java.lang.Object panel,
                                  java.lang.Object layoutObject,
                                  java.lang.Object layoutCons)

  *** For internal framework use only ***
  Overrides:
    `addControlToPanel` in class `JUCtrlAttrsBinding`

### getValueAt

    public java.lang.Object getValueAt(int attrIndex)

  Returns the current value indicated by the ProgressBar control.
  Overrides:
    `getValueAt` in class `JUCtrlAttrsBinding`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int attrIndex)

  Sets the current value in the JProgressBar control. This method adjusts the position of JProgressBar current value indicator based on the input value and the minimum and maximum value the JProgressBar is set to handle.
  Overrides:
    `setValueAt` in class `JUCtrlAttrsBinding`

### isControlQueriable

    protected boolean isControlQueriable()

  Returns true, so that ProgressBar can participate in a query in the Find Mode of the containing panel. When the containing panel Binding object is set to Find mode, it queries all control-bindings in it and disables those controls whose bindings return false for this method during the Find mode. The return value from this method indicates whether to consult an attribute definition for queriability.

  An application could create a subclass of this binding object and return false from this method to prevent the associated control from participating in find mode. Additionally, a BC4J attribute itself can control whether that attribute can participate in Query or not. That property takes precedence over this method's return, if this method returns true. In other words, if this binding is bound to a CLOB attribute type and the attribute definition for that attribute indicates that it is not queriable, then the default behavior of JUPanelBinding in Find mode will be to disable this binding's control, even though this method returns true.

  Overrides:
    `isControlQueriable` in class `JUCtrlAttrsBinding`

### setDataValueAt

    public void setDataValueAt(java.lang.Object value,
                               int attrIndex)

  Use this method to update the ProgressBar value, as well as the value in the associated BC4J attribute.
  Overrides:
    `setDataValueAt` in class `JUCtrlAttrsBinding`

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Sets the BC4J attribute value as per the change in the JProgressBar current value.
  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

### getMinimum

    public int getMinimum()

  Specified by:
    `getMinimum` in interface `javax.swing.BoundedRangeModel`

### setMinimum

    public void setMinimum(int newMinimum)

  Specified by:
    `setMinimum` in interface `javax.swing.BoundedRangeModel`

### getMaximum

    public int getMaximum()

  Specified by:
    `getMaximum` in interface `javax.swing.BoundedRangeModel`

### setMaximum

    public void setMaximum(int newMaximum)

  Specified by:
    `setMaximum` in interface `javax.swing.BoundedRangeModel`

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `javax.swing.BoundedRangeModel`

### setValue

    public void setValue(int newValue)

  Specified by:
    `setValue` in interface `javax.swing.BoundedRangeModel`

### setValueIsAdjusting

    public void setValueIsAdjusting(boolean b)

  Specified by:
    `setValueIsAdjusting` in interface `javax.swing.BoundedRangeModel`

### getValueIsAdjusting

    public boolean getValueIsAdjusting()

  Specified by:
    `getValueIsAdjusting` in interface `javax.swing.BoundedRangeModel`

### getExtent

    public int getExtent()

  Specified by:
    `getExtent` in interface `javax.swing.BoundedRangeModel`

### setExtent

    public void setExtent(int newExtent)

  Specified by:
    `setExtent` in interface `javax.swing.BoundedRangeModel`

### setRangeProperties

    public void setRangeProperties(int value,
                                   int extent,
                                   int min,
                                   int max,
                                   boolean adjusting)

  Specified by:
    `setRangeProperties` in interface `javax.swing.BoundedRangeModel`

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener x)

  Specified by:
    `addChangeListener` in interface `javax.swing.BoundedRangeModel`

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener x)

  Specified by:
    `removeChangeListener` in interface `javax.swing.BoundedRangeModel`

### getControlModel

    public java.lang.Object getControlModel(java.lang.Object control)

  Gets the associated View's model object.
  Overrides:
    `getControlModel` in class `DCControlBinding`

### createAttributeBinding

    public static javax.swing.BoundedRangeModel createAttributeBinding(JUPanelBinding formBinding,
                                                                       javax.swing.JProgressBar control,
                                                                       java.lang.String voInstanceName,
                                                                       java.lang.String voIterName,
                                                                       java.lang.String voIterBindingName,
                                                                       java.lang.String attrName,
                                                                       int min,
                                                                       int max)

  Creates a binding for the JProgressBar control.
  Parameters:
    `formBinding` - The containing JUPanelBinding in which the given iterator binding would be found/created.
    `control` - JProgressBar control to bind a BC4J attribute with.
    `voInstanceName` - Name of the instance of the ViewObject in a BC4J ApplicationModule.
    `voIterName` - Runtime instance name of the iterator in the ViewObject (optional).
    `voIterBindingName` - Instance name of the iterator binding that uniquely identifies an iterator binding object used to read/write data in this given JUPanelBinding instance.
    `attrName` - The attribute name in the RowSet with which this binding works.
    `min` - Minimum value that the JProgressBar displays (what the starting value should be in the JSlider control).
    `max` - Maximum value that the JProgressBar displays (what the end value should be in the control).

### getInstance

    public static javax.swing.BoundedRangeModel getInstance(JUPanelBinding formBinding,
                                                            javax.swing.JProgressBar control,
                                                            java.lang.String voInstanceName,
                                                            java.lang.String voIterName,
                                                            java.lang.String voIterBindingName,
                                                            java.lang.String attrName,
                                                            int min,
                                                            int max)

  Deprecated. since 9.0.2 use createAttributeBinding method instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.